From Fedora Project Wiki
(Missing gems)
(GitLab for Fedora)
 
(25 intermediate revisions by 2 users not shown)
Line 2: Line 2:
  
 
An effort to package GitLab for Fedora.
 
An effort to package GitLab for Fedora.
 +
 +
This project has a dedicated mailinglist at rpm-gitlab-list@lists.clefos.org (HOW TO APPLY? LINK TO ARCHIVE?)
 +
 +
There are weekly meetings in the Fedora Admin irc channel:
 +
Location: fedora-meeting@irc.freenode.net
 +
Start: 2014-03-20 - 19:00:00 UTC
 +
End: 2014-03-20 - 20:00:00 UTC
 +
 +
This started as a Google Summer of Code project https://fedoraproject.org/wiki/GSOC_2013/Student_Application_Axilleas/Gitlab%28463%29
 +
 +
Currently the following gems are still missing from Fedora https://github.com/axilleas/gsoc/blob/master/rubygems_missing
 +
 +
Link to all meeting minutes:
 +
 +
http://meetbot.fedoraproject.org/fedora-admin/2014-03-20/fedora-admin.2014-03-20-19.03.html
 +
LINK TO OTHERS
  
 
==System dependencies==
 
==System dependencies==
 +
 +
{{admon/note|TODO Clean up system dependencies|Most of these packages are needed if you compile ruby from sources, or install/build gems with native extensions.}}
  
 
The equivalent of Debian's '''build-essential''' is:
 
The equivalent of Debian's '''build-essential''' is:
Line 83: Line 101:
 
|}
 
|}
  
==Gems that GitLab pulls from git==
+
==Runtime gems==
 
 
<pre>
 
raphael-rails
 
</pre>
 
 
 
==Packages==
 
  
{| class="wikitable" style="text-align: center;" cellpadding="10"
+
[[User:Axilleas/GitLab/runtime_deps]]
!colspan="5"|GitLab gem dependencies
 
|-
 
|rowspan="2"|Ruby gem
 
|colspan="3"|Version
 
|-
 
|GitLab (Gemfile)
 
|Fedora (rawhide)
 
|Upstream (rubygems.org)
 
|-
 
|actionmailer
 
|3.2.13
 
|3.2.13
 
|4.0.0
 
|-
 
|actionpack
 
|3.2.13
 
|3.2.13
 
|4.0.0
 
|-
 
|activemodel
 
|3.2.13
 
|3.2.13
 
|4.0.0
 
|-
 
|activerecord
 
|3.2.13
 
|3.2.13
 
|4.0.0
 
|-
 
|activeresource
 
|3.2.13
 
|3.2.13
 
|4.0.0
 
|-
 
|activesupport
 
|3.2.13
 
|3.2.13
 
|4.0.0
 
|-
 
|acts-as-taggable-on
 
|2.4.0
 
|None
 
|2.4.1
 
|-
 
|arel
 
|3.0.2
 
|3.0.2
 
|4.0.0
 
|-
 
|asciidoctor
 
|0.1.3
 
|0.1.1
 
|0.1.3
 
|-
 
|backports
 
|2.6.7
 
|None
 
|3.3.3
 
|-
 
|bcrypt-ruby
 
|3.0.1
 
|3.0.1
 
|3.1.1
 
|-
 
|bootstrap-sass
 
|2.3.1.0
 
|None
 
|2.3.2.0
 
|-
 
|builder
 
|3.0.4
 
|3.1.4
 
|3.2.2
 
|-
 
|carrierwave
 
|0.8.0
 
|None
 
|0.9.0
 
|-
 
|celluloid
 
|0.14.0
 
|None
 
|0.14.1
 
|-
 
|charlock_holmes
 
|0.6.9.4
 
|None
 
|0.6.9.4
 
|-
 
|chosen-rails
 
|0.9.8
 
|None
 
|0.12.0
 
|-
 
|coffee-rails
 
|3.2.2
 
|3.2.2
 
|4.0.0
 
|-
 
|coffee-script
 
|2.2.0
 
|2.2.0
 
|2.2.0
 
|-
 
|coffee-script-source
 
|1.6.2
 
|1.6.1
 
|1.6.3
 
|-
 
|colored
 
|1.2
 
|1.2
 
|1.2
 
|-
 
|connection_pool
 
|1.0.0
 
|None
 
|1.1.0
 
|-
 
|d3_rails
 
|3.1.4
 
|None
 
|3.2.4
 
|-
 
|descendants_tracker
 
|0.0.1
 
|None
 
|0.0.1
 
|-
 
|devise
 
|2.2.4
 
|None
 
|3.0.0
 
|-
 
|diff-lcs
 
|1.2.4
 
|1.1.3
 
|1.2.4
 
|-
 
|dotenv
 
|0.7.0
 
|None
 
|0.8.0
 
|-
 
|enumerize
 
|0.5.1
 
|None
 
|0.6.1
 
|-
 
|erubis
 
|2.7.0
 
|2.7.0
 
|2.7.0
 
|-
 
|escape_utils
 
|0.2.4
 
|None
 
|0.3.2
 
|-
 
|eventmachine
 
|1.0.3
 
|1.0.3
 
|1.0.3
 
|-
 
|execjs
 
|1.4.0
 
|1.4.0
 
|1.4.0
 
|-
 
|faraday
 
|0.8.7
 
|None
 
|0.8.7
 
|-
 
|faraday_middleware
 
|0.9.0
 
|None
 
|0.9.0
 
|-
 
|font-awesome-rails
 
|3.1.1.3
 
|None
 
|3.2.1.2
 
|-
 
|foreman
 
|0.63.0
 
|None
 
|0.63.0
 
|-
 
|gemoji
 
|1.2.1
 
|None
 
|1.4.0
 
|-
 
|github-linguist
 
|2.3.4
 
|None
 
|2.8.8
 
|-
 
|github-markdown
 
|0.5.3
 
|None
 
|0.5.3
 
|-
 
|github-markup
 
|0.7.5
 
|None
 
|0.7.5
 
|-
 
|gitlab-gollum-lib
 
|1.0.0
 
|None
 
|1.0.1
 
|-
 
|gitlab-grack
 
|1.0.1
 
|None
 
|1.0.1
 
|-
 
|gitlab-grit
 
|2.5.1
 
|None
 
|2.6.0
 
|-
 
|gitlab-pygments.rb
 
|0.3.2
 
|None
 
|0.3.2
 
|-
 
|gitlab_git
 
|1.3.0
 
|None
 
|1.4.1
 
|-
 
|gitlab_meta
 
|5.0
 
|None
 
|6.0
 
|-
 
|gitlab_omniauth-ldap
 
|1.0.3
 
|None
 
|1.0.3
 
|-
 
|gon
 
|4.1.0
 
|None
 
|4.1.1
 
|-
 
|grape
 
|0.4.1
 
|None
 
|0.5.0
 
|-
 
|grape-entity
 
|0.3.0
 
|None
 
|0.3.0
 
|-
 
|haml
 
|4.0.2
 
|3.1.7
 
|4.0.3
 
|-
 
|haml-rails
 
|0.4
 
|0.3.4
 
|0.4
 
|-
 
|hashie
 
|1.2.0
 
|None
 
|2.0.5
 
|-
 
|hike
 
|1.2.2
 
|1.2.1
 
|1.2.3
 
|-
 
|hipchat
 
|0.9.0
 
|None
 
|0.10.1
 
|-
 
|http_parser.rb
 
|0.5.3
 
|None
 
|0.5.3
 
|-
 
|httparty
 
|0.11.0
 
|0.10.2
 
|0.11.0
 
|-
 
|httpauth
 
|0.2.0
 
|None
 
|0.2.0
 
|-
 
|i18n
 
|0.6.1
 
|0.6.1
 
|0.6.4
 
|-
 
|journey
 
|1.0.4
 
|1.0.4
 
|1.0.4
 
|-
 
|jquery-atwho-rails
 
|0.3.0
 
|None
 
|0.3.1
 
|-
 
|jquery-rails
 
|2.1.3
 
|2.0.2
 
|3.0.4
 
|-
 
|jquery-turbolinks
 
|1.0.0
 
|None
 
|1.0.0
 
|-
 
|jquery-ui-rails
 
|2.0.2
 
|None
 
|4.0.3
 
|-
 
|json
 
|1.7.7
 
|1.7.7
 
|1.8.0
 
|-
 
|jwt
 
|0.1.8
 
|None
 
|0.1.8
 
|-
 
|kaminari
 
|0.14.1
 
|None
 
|0.14.1
 
|-
 
|libv8
 
|3.11.8.17
 
|None
 
|3.16.14.1
 
|-
 
|mail
 
|2.5.3
 
|2.5.3
 
|2.5.4
 
|-
 
|mime-types
 
|1.23
 
|1.19
 
|1.23
 
|-
 
|modernizr
 
|2.6.2
 
|None
 
|2.6.2
 
|-
 
|multi_json
 
|1.7.3
 
|1.7.7
 
|1.7.7
 
|-
 
|multi_xml
 
|0.5.3
 
|0.5.2
 
|0.5.4
 
|-
 
|multipart-post
 
|1.2.0
 
|1.2.0
 
|1.2.0
 
|-
 
|mysql2
 
|0.3.11
 
|None
 
|0.3.13
 
|-
 
|net-ldap
 
|0.3.1
 
|0.3.1
 
|0.3.1
 
|-
 
|nokogiri
 
|1.5.9
 
|1.5.9
 
|1.6.0
 
|-
 
|oauth
 
|0.4.7
 
|0.4.7
 
|0.4.7
 
|-
 
|oauth2
 
|0.8.1
 
|None
 
|0.9.2
 
|-
 
|omniauth
 
|1.1.4
 
|None
 
|1.1.4
 
|-
 
|omniauth-github
 
|1.1.0
 
|None
 
|1.1.1
 
|-
 
|omniauth-google-oauth2
 
|0.1.17
 
|None
 
|0.2.0
 
|-
 
|omniauth-oauth
 
|1.0.1
 
|None
 
|1.0.1
 
|-
 
|omniauth-oauth2
 
|1.1.1
 
|None
 
|1.1.1
 
|-
 
|omniauth-twitter
 
|0.0.16
 
|None
 
|1.0.0
 
|-
 
|orm_adapter
 
|0.4.0
 
|None
 
|0.4.0
 
|-
 
|pg
 
|0.15.1
 
|0.14.1
 
|0.15.1
 
|-
 
|polyglot
 
|0.3.3
 
|0.3.3
 
|0.3.3
 
|-
 
|posix-spawn
 
|0.3.6
 
|None
 
|0.3.6
 
|-
 
|puma
 
|2.0.1
 
|None
 
|2.3.2
 
|-
 
|pygments.rb
 
|0.4.2
 
|None
 
|0.5.2
 
|-
 
|pyu-ruby-sasl
 
|0.0.3.3
 
|None
 
|0.0.3.3
 
|-
 
|rack
 
|1.4.5
 
|1.4.5
 
|1.5.2
 
|-
 
|rack-accept
 
|0.4.5
 
|0.4.3
 
|0.4.5
 
|-
 
|rack-cache
 
|1.2
 
|1.2
 
|1.2
 
|-
 
|rack-mount
 
|0.8.3
 
|0.8.3
 
|0.8.3
 
|-
 
|rack-protection
 
|1.5.0
 
|1.5.0
 
|1.5.0
 
|-
 
|rack-ssl
 
|1.3.3
 
|1.3.2
 
|1.3.3
 
|-
 
|rack-test
 
|0.6.2
 
|0.6.2
 
|0.6.2
 
|-
 
|rails
 
|3.2.13
 
|3.2.13
 
|4.0.0
 
|-
 
|railties
 
|3.2.13
 
|3.2.13
 
|4.0.0
 
|-
 
|rake
 
|10.0.4
 
|10.0.4
 
|10.1.0
 
|-
 
|rdoc
 
|3.12.2
 
|4.0.1
 
|4.0.1
 
|-
 
|redcarpet
 
|2.2.2
 
|2.1.1
 
|3.0.0
 
|-
 
|redis
 
|3.0.4
 
|None
 
|3.0.4
 
|-
 
|redis-actionpack
 
|3.2.3
 
|None
 
|3.2.3
 
|-
 
|redis-activesupport
 
|3.2.3
 
|None
 
|3.2.3
 
|-
 
|redis-namespace
 
|1.3.0
 
|None
 
|1.3.0
 
|-
 
|redis-rack
 
|1.4.2
 
|None
 
|1.4.2
 
|-
 
|redis-rails
 
|3.2.3
 
|None
 
|3.2.3
 
|-
 
|redis-store
 
|1.1.3
 
|None
 
|1.1.3
 
|-
 
|ref
 
|1.0.4
 
|1.0.0
 
|1.0.5
 
|-
 
|rubyntlm
 
|0.1.1
 
|None
 
|0.3.2
 
|-
 
|sanitize
 
|2.0.3
 
|None
 
|2.0.6
 
|-
 
|sass
 
|3.2.9
 
|3.2.6
 
|3.2.9
 
|-
 
|sass-rails
 
|3.2.6
 
|3.2.6
 
|4.0.0
 
|-
 
|seed-fu
 
|2.2.0
 
|None
 
|2.2.0
 
|-
 
|select2-rails
 
|3.3.1
 
|None
 
|3.4.3
 
|-
 
|settingslogic
 
|2.0.9
 
|None
 
|2.0.9
 
|-
 
|sidekiq
 
|2.12.0
 
|None
 
|2.13.0
 
|-
 
|simple_oauth
 
|0.1.9
 
|None
 
|0.2.0
 
|-
 
|sinatra
 
|1.3.6
 
|1.4.3
 
|1.4.3
 
|-
 
|six
 
|0.2.0
 
|None
 
|0.2.0
 
|-
 
|slim
 
|1.3.8
 
|1.3.8
 
|2.0.0
 
|-
 
|sprockets
 
|2.2.2
 
|2.8.2
 
|2.10.0
 
|-
 
|stamp
 
|0.5.0
 
|None
 
|0.5.0
 
|-
 
|state_machine
 
|1.2.0
 
|1.1.2
 
|1.2.0
 
|-
 
|stringex
 
|1.5.1
 
|None
 
|2.0.5
 
|-
 
|temple
 
|0.6.4
 
|0.6.3
 
|0.6.5
 
|-
 
|therubyracer
 
|0.11.4
 
|0.11.0
 
|0.11.4
 
|-
 
|thor
 
|0.18.1
 
|0.17.0
 
|0.18.1
 
|-
 
|tilt
 
|1.3.7
 
|1.3.7
 
|1.4.1
 
|-
 
|timers
 
|1.1.0
 
|None
 
|1.1.0
 
|-
 
|tinder
 
|1.9.2
 
|None
 
|1.9.2
 
|-
 
|treetop
 
|1.4.12
 
|1.4.12
 
|1.4.14
 
|-
 
|turbolinks
 
|1.1.1
 
|1.1.1
 
|1.3.0
 
|-
 
|twitter-stream
 
|0.1.16
 
|None
 
|0.1.16
 
|-
 
|tzinfo
 
|0.3.37
 
|0.3.35
 
|1.0.1
 
|-
 
|uglifier
 
|2.0.1
 
|1.3.0
 
|2.1.2
 
|-
 
|underscore-rails
 
|1.4.4
 
|None
 
|1.5.1
 
|-
 
|virtus
 
|0.5.4
 
|None
 
|0.5.5
 
|-
 
|warden
 
|1.2.1
 
|1.2.1
 
|1.2.3
 
|-
 
|yajl-ruby
 
|1.1.0
 
|None
 
|1.1.0
 
|}
 
  
 
==Missing gems==
 
==Missing gems==
  
This is the list of the gems to be packaged. These pending review have a link to bugzilla.
+
[[User:Axilleas/GitLab/Missing_gems]]
[https://bugzilla.redhat.com/buglist.cgi?cmdtype=runnamed&list_id=1505194&namedcmd=rubygems List of gems pending review]
 
 
 
The raw list can be found [https://github.com/axilleas/gsoc/blob/master/rubygems_missing here].
 
 
 
{| class="wikitable" style="text-align: center;" cellpadding="10"
 
!colspan="3"|GitLab missing gems
 
|-
 
!Ruby gem
 
!Bugzilla id
 
!Status
 
|-
 
|acts-as-taggable-on
 
| -
 
| -
 
|-
 
|backports
 
|[https://bugzilla.redhat.com/show_bug.cgi?id=816991 816991]
 
|NEW
 
|-
 
|carrierwave
 
| -
 
| -
 
|-
 
|celluloid
 
| -
 
| -
 
|-
 
|chosen-rails
 
|[https://bugzilla.redhat.com/show_bug.cgi?id=967396 967396]
 
|ASSIGNED
 
|-
 
|connection_pool
 
|[https://bugzilla.redhat.com/show_bug.cgi?id=967334 967334]
 
|ASSIGNED
 
|-
 
|d3_rails
 
| -
 
| -
 
|-
 
|descendants_tracker
 
| -
 
| -
 
|-
 
|devise
 
| -
 
| -
 
|-
 
|dotenv
 
|[https://bugzilla.redhat.com/show_bug.cgi?id=967335 967335]
 
|ASSIGNED
 
|-
 
|enumerize
 
| -
 
| -
 
|-
 
|escape_utils
 
| -
 
| -
 
|-
 
|faraday
 
|[https://bugzilla.redhat.com/show_bug.cgi?id=967337 967337]
 
|NEW
 
|-
 
|faraday_middleware
 
| -
 
| -
 
|-
 
|font-awesome-rails
 
| -
 
| -
 
|-
 
|foreman
 
| -
 
| -
 
|-
 
|gemoji
 
| -
 
| -
 
|-
 
|github-linguist
 
| -
 
| -
 
|-
 
|github-markdown
 
| -
 
| -
 
|-
 
|github-markup
 
| -
 
| -
 
|-
 
|gitlab-gollum-lib
 
| -
 
| -
 
|-
 
|gitlab-grack
 
| -
 
| -
 
|-
 
|gitlab-grit
 
| -
 
| -
 
|-
 
|gitlab-pygments.rb
 
| -
 
| -
 
|-
 
|gitlab_git
 
| -
 
| -
 
|-
 
|gitlab_meta
 
| -
 
| -
 
|-
 
|gitlab_omniauth-ldap
 
| -
 
| -
 
|-
 
|gon
 
| -
 
| -
 
|-
 
|grape
 
| -
 
| -
 
|-
 
|grape-entity
 
| -
 
| -
 
|-
 
|hipchat
 
| -
 
| -
 
|-
 
|http_parser.rb
 
| -
 
| -
 
|-
 
|httpauth
 
| -
 
| -
 
|-
 
|jquery-atwho-rails
 
| -
 
| -
 
|-
 
|jquery-turbolinks
 
| -
 
| -
 
|-
 
|jquery-ui-rails
 
| -
 
| -
 
|-
 
|jwt
 
| -
 
| -
 
|-
 
|kaminari
 
| -
 
| -
 
|-
 
|libv8
 
| -
 
| -
 
|-
 
|modernizr
 
| -
 
| -
 
|-
 
|mysql2
 
|[https://bugzilla.redhat.com/show_bug.cgi?id=974889 974889]
 
|ASSIGNED
 
|-
 
|oauth2
 
| -
 
| -
 
|-
 
|omniauth
 
| -
 
| -
 
|-
 
|omniauth-github
 
| -
 
| -
 
|-
 
|omniauth-google-oauth2
 
| -
 
| -
 
|-
 
|omniauth-oauth
 
| -
 
| -
 
|-
 
|omniauth-oauth2
 
| -
 
| -
 
|-
 
|omniauth-twitter
 
| -
 
| -
 
|-
 
|orm_adapter
 
| -
 
| -
 
|-
 
|posix-spawn
 
| -
 
| -
 
|-
 
|puma
 
| -
 
| -
 
|-
 
|pygments.rb
 
| -
 
| -
 
|-
 
|pyu-ruby-sasl
 
| -
 
| -
 
|-
 
|redis
 
|[https://bugzilla.redhat.com/show_bug.cgi?id=978284 978284]
 
|ASSIGNED
 
|-
 
|redis-actionpack
 
| -
 
| -
 
|-
 
|redis-activesupport
 
| -
 
| -
 
|-
 
|redis-namespace
 
| -
 
| -
 
|-
 
|redis-rack
 
| -
 
| -
 
|-
 
|redis-rails
 
| -
 
| -
 
|-
 
|redis-store
 
| -
 
| -
 
|-
 
|rubyntlm
 
| -
 
| -
 
|-
 
|seed-fu
 
| -
 
| -
 
|-
 
|select2-rails
 
| -
 
| -
 
|-
 
|settingslogic
 
| -
 
| -
 
|-
 
|sidekiq
 
| -
 
| -
 
|-
 
|simple_oauth
 
| -
 
| -
 
|-
 
|six
 
| -
 
| -
 
|-
 
|stamp
 
| -
 
| -
 
|-
 
|stringex
 
|[https://bugzilla.redhat.com/show_bug.cgi?id=728051 728051]
 
|ASSIGNED
 
|-
 
|timers
 
| -
 
| -
 
|-
 
|tinder
 
| -
 
| -
 
|-
 
|turbolinks
 
| -
 
| -
 
|-
 
|twitter-stream
 
| -
 
| -
 
|-
 
|underscore-rails
 
| -
 
| -
 
|-
 
|unicorn
 
|[https://bugzilla.redhat.com/show_bug.cgi?id=786636 786636]
 
|NEW
 
|-
 
|virtus
 
| -
 
| -
 
|-
 
|yajl-ruby
 
|[https://bugzilla.redhat.com/show_bug.cgi?id=823351 823351]
 
|ASSIGNED
 
|}
 
  
 
== Statistics ==
 
== Statistics ==
  
 
<pre>
 
<pre>
Gitlab runtime gems  :  143
+
 
Gems in Fedora repos :  379
+
Gitlab runtime gems  :  145
Common gems          :  63
+
Gems in Fedora repos :  389
To be packaged      :  80
+
Common gems          :  70
 +
To be packaged      :  75
 
Pending review in BZ :  11
 
Pending review in BZ :  11
When BZ go in repos  :  69
+
When BZ go in repos  :  64
  
Fedora will have 21.11 % more ruby packages, that is 459 gems in total.
 
 
</pre>
 
</pre>
 +
  
 
== Unofficial repository ==
 
== Unofficial repository ==
  
 
Hosted at fedorapeople.org: http://repos.fedorapeople.org/repos/axilleas/gitlab/
 
Hosted at fedorapeople.org: http://repos.fedorapeople.org/repos/axilleas/gitlab/

Latest revision as of 08:30, 10 July 2014

GitLab for Fedora

An effort to package GitLab for Fedora.

This project has a dedicated mailinglist at rpm-gitlab-list@lists.clefos.org (HOW TO APPLY? LINK TO ARCHIVE?)

There are weekly meetings in the Fedora Admin irc channel: Location: fedora-meeting@irc.freenode.net Start: 2014-03-20 - 19:00:00 UTC End: 2014-03-20 - 20:00:00 UTC

This started as a Google Summer of Code project https://fedoraproject.org/wiki/GSOC_2013/Student_Application_Axilleas/Gitlab%28463%29

Currently the following gems are still missing from Fedora https://github.com/axilleas/gsoc/blob/master/rubygems_missing

Link to all meeting minutes:

http://meetbot.fedoraproject.org/fedora-admin/2014-03-20/fedora-admin.2014-03-20-19.03.html LINK TO OTHERS

System dependencies

Note.png
TODO Clean up system dependencies
Most of these packages are needed if you compile ruby from sources, or install/build gems with native extensions.

The equivalent of Debian's build-essential is:

# yum groupinstall 'Development Tools' 'Development Libraries'

The rest of the packages can be installed with:

# yum install zlib-devel libyaml-devel openssl-devel gdbm-devel readline-devel ncurses-devel libffi-devel curl git openssh-server redis libxml2-devel libxslt-devel libcurl-devel libicu-devel python

Below is the table for an easy reference.

GitLab system dependencies
Debian Fedora 19
sudo sudo
zlib1g-dev zlib-devel
libyaml-dev libyaml-devel
libssl-dev openssl-devel
libgdbm-dev gdbm-devel
libreadline-dev readline-devel
libncurses5-dev ncurses-devel
libffi-dev libffi-devel
curl curl
git-core git
openssh-server openssh-server
redis-server redis
postfix postfix
checkinstall
Fail fail
libxml2-dev libxml2-devel
libxslt-dev libxslt-devel
libcurl4-openssl-dev libcurl-devel
libicu-dev libicu-devel
python python

Runtime gems

User:Axilleas/GitLab/runtime_deps

Missing gems

User:Axilleas/GitLab/Missing_gems

Statistics


Gitlab runtime gems  :  145
Gems in Fedora repos :  389
Common gems          :  70
To be packaged       :  75
Pending review in BZ :  11
When BZ go in repos  :  64


Unofficial repository

Hosted at fedorapeople.org: http://repos.fedorapeople.org/repos/axilleas/gitlab/